Package wx :: Module wizard :: Class WizardPageSimple

[frames | no frames]

## Type WizardPageSimple

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                    WizardPage --+
                                 |
                                WizardPageSimple

Proxy of C++ WizardPageSimple class

Method Summary
WizardPageSimple | `__init__(self, parent, prev, next, bitmap, resource)`
| `Chain(first, second)` (Static method)
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| `SetNext(self, next)`
| `SetPrev(self, prev)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent=None, prev=None, next=None, bitmap=wxNullBitmap, resource=None)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.wizard.WizardPage.Create` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1272653812(...)
  Set Method:
    unknown--1272653756(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:25 2007 | http://epydoc.sf.net